Function LoadSharePointPS() {
	If ((Get-PsSnapin |?{$_.Name -eq "Microsoft.SharePoint.PowerShell"}) -eq $null) {
		$PSSnapin = Add-PsSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue -WarningAction SilentlyContinue | Out-Null 
	}
}

Function Get-LicenseCode
{
	$farm = Get-SPFarm
	Write-Host "Farm ID:" $farm.Id.ToString() -ForegroundColor Cyan
	Write "Farm ID:" $farm.Id.ToString()
	$serverCode = $farm.Id.ToString().Replace("-", "")
	$farm.Servers | ForEach-Object {
		$server = $_;
		If ($server.Role -ne 0) {
			$server.ServiceInstances | ForEach-Object {
				$instance = $_;
				If ($instance.Status -ne 1 -and $instance.Name -ne "WSS_Administration" -and $instance.GetType().Name -eq "SPWebServiceInstance") {
					$serverCode += $server.Id.ToString().Replace("-", "")
				}
			}
		}
	}

	Write ""
	Write-Host "Server Code:" $serverCode -ForegroundColor Cyan
	Write "Server Code:" $serverCode
}

LoadSharePointPS

Get-LicenseCode | Out-File -FilePath .\LicenseCode.txt
